ZmqLogger.h File Reference

Header file for ZeroMQ-based Logger class. More...

`#include <iostream>`
`#include <iomanip>`
`#include <fstream>`
`#include <stdlib.h>`
`#include <string>`
`#include <sstream>`
`#include <stdio.h>`
`#include <time.h>`
`#include <zmq.hpp>`
`#include <unistd.h>`
`#include "JuceHeader.h"`

Go to the source code of this file.

## Classes

class | openshot::ZmqLogger
| This class is used for logging and sending those logs over a ZemoMQ socket to a listener. More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for ZeroMQ-based Logger class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file ZmqLogger.h.